package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface Feed : Persistable {

    @get:Key
    val id: Int
    val title:String
    val alias: String
    @get:JunctionTable(name= "FeedArticlesRule")
    @get:OneToMany( cascade = [CascadeAction.DELETE])
    val articles:Set<Article>?
}