package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.ArticlePreviewModel
import com.biganto.visual.roompark.domain.model.ArticlesPreviewModel
import com.biganto.visual.roompark.domain.model.FeedModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface FeedsContract{

    fun fetchFeeds(): Observable<List<FeedModel>>
    fun getArticle(id:Int): Observable<ArticlePreviewModel>
    fun fetchFeedObservable(id: Int): Observable<ArticlesPreviewModel>
    fun fetchFeedObservable(
        id: Int,
        pageSize: Int,
        startIndex: Int
    ): Observable<ArticlesPreviewModel>
}